<?php
require_once(UTIL_DIR.'CsrfUtil.class.php');
/**
 * CsrfValidator
 *
 * <br/><br/>
 *
 * ꤷå󡢥ѥ᡼򸵤CSRFΥåԤ
 *
 * <br/><br/>
 *
 * Initialization Parameters:
 *
 * <br/><br/>
 *
 * <table border="0" cellpadding="3" cellspacing="0">
 *     <tr>
 *         <th>Name</th>
 *         <th>Type</th>
 *         <th>Default</th>
 *         <th>Required</th>
 *         <th>Description</th>
 *     </tr>
 * </table>
 *
 * <br/><br/>
 *
 * Error Messages:
 *
 * <br/><br/>
 *
 * <table border="0" cellpadding="3" cellspacing="0">
 *     <tr>
 *         <th>Name</th>
 *         <th>Default</th>
 *     </tr>
 *     <tr>
 *         <td valign="top">csrf_error</td>
 *         <td valign="top">Request is invalid</td>
 *     </tr>
 * </table>
 *
 * @author  Takeki Tanaka
 * @package mojavi
 * @package validators
 * @since   1.0
 */
class CsrfValidator extends Validator
{

    /**
     * Create a new CsrfValidator instance.
     *
     * @access public
     * @since  1.0
     */
    function CsrfValidator ()
    {
        // ͤ
        $this->params['csrf_error']  = 'Request is invalid';
    }

    /**
     * Execute this validator.
     *
     * @param string     A user submitted parameter value(prefix).
     * @param string     The error message variable to be set, if an error
     *                   occurs.
     * @param Controller A Controller instance.
     * @param Request    A Request instance.
     * @param User       A User instance.
     *
     * @return bool <b>TRUE</b>, if the validator completes successfully,
     *              otherwise <b>FALSE</b>.
     *
     * @access public
     * @since  1.0
     */
    function execute (&$value, &$error, &$controller, &$request, &$user)
    {
        $ret = CsrfUtil::bm_isSafe();

        if (!$ret)
        {
            $error = $this->params['csrf_error'];
            return FALSE;
        }

        return TRUE;
    }
}

?>